# string.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for string.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void * | memcpy (void *dst, const void *src, size_t length)
void * | memset (void *dst, int c, size_t length)
int | sprintf (char *str, const char *format,...)
int | strcmp (const char *, const char *)
char * | strcpy (char *dst, const char *src)
int | strlen (const char *string)
long | strtol (const char *__restrict nptr, char **__restrict endptr, int base)

## Function Documentation

void* memcpy | ( | void * | dst,
|  | const void * | src,
|  | size_t | length |
| ) |  |  |

void* memset | ( | void * | dst,
|  | int | c,
|  | size_t | length |
| ) |  |  |

Definition at line 37 of file memset.c.

References VAL, WIDEVAL, wmask, and wsize.

int sprintf | ( | char * | str,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

Definition at line 51 of file kprintf.c.

References vaEnd, vaStart, and vsprintf().

Here is the call graph for this function:

int strcmp | ( | const char * | ,
|  | const char * |  |
| ) |  |  |

Definition at line 32 of file string.c.

char* strcpy | ( | char * | dst,
|  | const char * | src |
| ) |  |  |

int strlen | ( | const char * | string | ) |

long strtol | ( | const char *__restrict | nptr,
|  | char **__restrict | endptr,
|  | int | base |
| ) |  |  |

Definition at line 12 of file strtol.c.

References LONG_MAX, LONG_MIN, and NULL.

Referenced by inet_aton().